Sales & Transfers by NFT

This endpoint is commonly used to pass a single specific NFT to get back a list of its historical transfers:
Pass a specific chain, contract address and token ID, and get back a list of associated transfers
On Solana, only the chain and contract address should be supplied
Path Params
string
enum
required
Defaults to ethereum

Name of the chain

string
required
Defaults to 0x60e4d786628fea6478f785a6d7e704777c86a7c6

Address of the NFT contract

string
required
Defaults to 8999

Token ID of the given NFT. For Solana and Bitcoin, this can be omitted or set to 0.

Query Params
string
enum

Include the associated NFT details for the transfer within the response (pass include_nft_details=1)

Allowed:
int32

Lower bound timestamp (inclusive). Seconds since the Unix epoch.

int32

Upper bound timestamp (inclusive). Seconds since the Unix epoch.

int32

Lower bound block_number (inclusive). The from_timestamp param takes precedence if both from_timestamp and from_block are specified.

int32

Upper bound block_number (inclusive). The to_timestamp param takes precedence if both to_timestamp and to_block are specified.

string
enum

Include lazy mint events alongside the on-chain activity. Only applies to the OpenSea shared contracts (ethereum.0x495f947276749ce646f68ac8c248420045cb7b5e and polygon.0x2953399124f0cbb46d2cbacd8a89cf0599974963)

Allowed:
string
enum

Exclude transfers where from_address_id == to_address_id

Allowed:
string
enum

Filter results for only records with sales information (pass only_sales=1)

Allowed:
string

Used to retrieve the next page of results

string
enum
Defaults to timestamp_desc

Available values are timestamp_desc (default) or timestamp_asc

Allowed:
int32
Defaults to 50

Limit. Defaults to 50, capped at 50.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json